Eclipse make package error (was Re: Failed to build eclipse with gnome 2.12 (failed on cario))

Panagiotis Astithas past at ebs.gr
Tue Sep 20 01:07:54 PDT 2005


Vladimir Grebenschikov wrote:
> В вт, 20/09/2005 в 10:13 +0300, Panagiotis Astithas пишет:
> 
>>Sean McNeil wrote:
>>
>>>On Mon, 2005-09-19 at 19:20 +0200, Andreas Kohn wrote:
>>>
>>>
>>>>Hi,
>>>>
>>>>On Mon, 2005-09-19 at 17:45 +0400, Vladimir Grebenschikov wrote:
>>>>
>>>>
>>>>>В пн, 19/09/2005 в 15:27 +0200, Andreas Kohn пишет:
>>>>>
>>>>>
>>>>>
>>>>>>>But it does not solve problem with broken dialogues (too big, without necessary fields)
>>>>>
>>>>>In attachments screen-shots of broken dialogues
>>>>
>>>>Mailman stripped those away, but I got them from the Cc: :)
>>>>
>>>>For the others, here are the screen shots from Vladimir
>>>>http://andreas.syndrom23.de/dump/find-dialogue.png
>>>>http://andreas.syndrom23.de/dump/sync-dialogue.png
>>>>
>>>>
>>>>
>>>>>>>and does not solve problem with menu items colors.
>>>>>>
>>>>>>I don't observe these here :/
>>>>>>I use unmodified Mist theme, 96x92 dpi Xorg resolution, and gnome font
>>>>>>settings use 100dpi.
>>>>>
>>>>>This is affects only ClearLooks theme (brand new and default for
>>>>>gnome-2.12).
>>>>>It is ok for "old" skins.
>>>>
>>>>Hmm. Tried with ClearLooks. Dialogs look as they should, and menu item
>>>>colors look fine, too.
>>>>No idea what could be wrong here :(
>>>
>>>
>>>This actually happens with just about any theme that use the pixmap
>>>engine (I think).  I've gone through all the themes myself as I use the
>>>MardisGras original version and this happens.  I've found that there are
>>>a couple of themes that show the same problem.  I always get complaints
>>>to the command line window about zlib being the wrong version.
>>>
>>>Sean
>>
>>Perhaps eclipse produces some similar messages at its log?
> 
> 
> % eclipse
> (Eclipse:18714): Gtk-WARNING **: GModule initialization check failed: Gtk+ version too old (micro mismatch)
> 
> 
> %  pkg_glob -R eclipse-3.1_2
> libbonobo-2.10.1_1
> libXft-2.1.7
> atk-1.10.3
> libiconv-1.9.2_1
> freetype2-2.1.10_1
> libbonoboui-2.10.1
> scrollkeeper-0.3.14_1,1
> fam-2.6.9_6
> python-2.4.1_3
> docbook-xml-4.2_1
> gnomekeyring-0.4.5
> gnomehier-2.0_7
> libgcrypt-1.2.1_1
> p5-XML-Parser-2.34_1
> docbook-xsl-1.68.1
> gnome-icon-theme-2.12.0
> libgnomecanvas-2.12.0
> libxslt-1.1.15
> png-1.2.8_2
> openssl-0.9.7g
> esound-0.2.36
> howl-1.0.0
> cairo-1.0.0_3
> startup-notification-0.8_1
> samba-libsmbclient-3.0.20_2
> openldap-client-2.2.28
> sdocbook-xml-4.1.2.5_2
> xorg-libraries-6.8.2
> fontconfig-2.3.2,1
> gconf2-2.12.0
> libIDL-0.8.6
> javavmwrapper-2.0_5
> libart_lgpl2-2.3.17
> libgpg-error-1.0_1
> libxml2-2.6.22
> jpeg-6b_3
> gnomemimedata-2.4.2
> libglade2-2.5.1_2
> jdk-1.4.2p7_1
> linc-1.0.3_3
> docbook-sk-4.1.2_3
> xmlcatmgr-2.2
> xorg-fonts-encodings-6.8.2
> shared-mime-info-0.16_1
> gettext-0.14.5
> libgnomeui-2.12.0_1
> gnomevfs2-2.12.0_1
> ORBit2-2.12.4
> intltool-0.34.1
> bitstream-vera-1.10_2
> libgnome-2.12.0.1
> xorg-fonts-truetype-6.8.2
> glib-2.8.1
> popt-1.7
> urwfonts-1.0
> pkgconfig-0.19
> expat-1.95.8_3
> gtk-2.8.3_3
> pango-1.10.0
> hicolor-icon-theme-0.5
> tiff-3.7.4
> libaudiofile-0.2.6
> perl-5.8.7
> eclipse-3.1_2
> %

OK, interesting, but this is on the console. Do you get anything in 
workspace/.metadata/.log?

Cheers,

Panagiotis


More information about the freebsd-gnome mailing list